### Type parameters

- #### S

- #### SS

### Hierarchy

- PureComponent<SystemAppProps>
  - SystemApp

## Index

### Properties

- contextType

### Methods

- UNSAFE_componentWillMount
- UNSAFE_componentWillReceiveProps
- UNSAFE_componentWillUpdate
- componentDidCatch
- componentDidMount
- componentDidUpdate
- componentWillMount
- componentWillReceiveProps
- componentWillUnmount
- componentWillUpdate
- getSnapshotBeforeUpdate
- render
- shouldComponentUpdate

## Properties

### Static contextType

contextType: Context<BlueBase> = BlueBaseContext

- Defined in components/SystemApp/SystemApp.tsx:12

## Methods

### Optional UNSAFE_componentWillMount

- UNSAFE_componentWillMount(): void

- Inherited from DeprecatedLifecycle.UNSAFE_componentWillMount

  - Defined in /Users/artalat/Coding/bluebase/core/node_modules/@types/react/index.d.ts:605

  Called immediately before mounting occurs, and before `Component#render`. Avoid introducing any side-effects or subscriptions in this method.

  This method will not stop working in React 17.

  Note: the presence of getSnapshotBeforeUpdate or getDerivedStateFromProps prevents this from being invoked.

  deprecated

    16.3, use componentDidMount or the constructor instead

  see

    https://reactjs.org/blog/2018/03/27/update-on-async-rendering.html#initializing-state

  see

    https://reactjs.org/blog/2018/03/27/update-on-async-rendering.html#gradual-migration-path

  #### Returns void

### Optional UNSAFE_componentWillReceiveProps

- UNSAFE_componentWillReceiveProps(nextProps: Readonly<SystemAppProps>, nextContext: any): void

- Inherited from DeprecatedLifecycle.UNSAFE_componentWillReceiveProps

  - Defined in /Users/artalat/Coding/bluebase/core/node_modules/@types/react/index.d.ts:637

  Called when the component may be receiving new props. React may call this even if props have not changed, so be sure to compare new and existing props if you only want to handle changes.

  Calling `Component#setState` generally does not trigger this method.

  This method will not stop working in React 17.

  Note: the presence of getSnapshotBeforeUpdate or getDerivedStateFromProps prevents this from being invoked.

  deprecated

    16.3, use static getDerivedStateFromProps instead

  see

    https://reactjs.org/blog/2018/03/27/update-on-async-rendering.html#updating-state-based-on-props

  see

    https://reactjs.org/blog/2018/03/27/update-on-async-rendering.html#gradual-migration-path

  #### Parameters

  - ##### nextProps: Readonly<SystemAppProps>

  - ##### nextContext: any

  #### Returns void

### Optional UNSAFE_componentWillUpdate

- UNSAFE_componentWillUpdate(nextProps: Readonly<SystemAppProps>, nextState: Readonly<S>, nextContext: any): void

- Inherited from DeprecatedLifecycle.UNSAFE_componentWillUpdate

  - Defined in /Users/artalat/Coding/bluebase/core/node_modules/@types/react/index.d.ts:665

  Called immediately before rendering when new props or state is received. Not called for the initial render.

  Note: You cannot call `Component#setState` here.

  This method will not stop working in React 17.

  Note: the presence of getSnapshotBeforeUpdate or getDerivedStateFromProps prevents this from being invoked.

  deprecated

    16.3, use getSnapshotBeforeUpdate instead

  see

    https://reactjs.org/blog/2018/03/27/update-on-async-rendering.html#reading-dom-properties-before-an-update

  see

    https://reactjs.org/blog/2018/03/27/update-on-async-rendering.html#gradual-migration-path

  #### Parameters

  - ##### nextProps: Readonly<SystemAppProps>

  - ##### nextState: Readonly<S>

  - ##### nextContext: any

  #### Returns void

### Optional componentDidCatch

- componentDidCatch(error: Error, errorInfo: ErrorInfo): void

- Inherited from ComponentLifecycle.componentDidCatch

  - Defined in /Users/artalat/Coding/bluebase/core/node_modules/@types/react/index.d.ts:534

  Catches exceptions generated in descendant components. Unhandled exceptions will cause the entire component tree to unmount.

  #### Parameters

  - ##### error: Error

  - ##### errorInfo: ErrorInfo

  #### Returns void

### Optional componentDidMount

- componentDidMount(): void

- Inherited from ComponentLifecycle.componentDidMount

  - Defined in /Users/artalat/Coding/bluebase/core/node_modules/@types/react/index.d.ts:513

  Called immediately after a component is mounted. Setting state here will trigger re-rendering.

  #### Returns void

### Optional componentDidUpdate

- componentDidUpdate(prevProps: Readonly<SystemAppProps>, prevState: Readonly<S>, snapshot?: SS): void

- Inherited from NewLifecycle.componentDidUpdate

  - Defined in /Users/artalat/Coding/bluebase/core/node_modules/@types/react/index.d.ts:576

  Called immediately after updating occurs. Not called for the initial render.

  The snapshot is only present if getSnapshotBeforeUpdate is present and returns non-null.

  #### Parameters

  - ##### prevProps: Readonly<SystemAppProps>

  - ##### prevState: Readonly<S>

  - ##### Optional snapshot: SS

  #### Returns void

### Optional componentWillMount

- componentWillMount(): void

- Inherited from DeprecatedLifecycle.componentWillMount

  - Defined in /Users/artalat/Coding/bluebase/core/node_modules/@types/react/index.d.ts:591

  Called immediately before mounting occurs, and before `Component#render`. Avoid introducing any side-effects or subscriptions in this method.

  Note: the presence of getSnapshotBeforeUpdate or getDerivedStateFromProps prevents this from being invoked.

  deprecated

    16.3, use componentDidMount or the constructor instead; will stop working in React 17

  see

    https://reactjs.org/blog/2018/03/27/update-on-async-rendering.html#initializing-state

  see

    https://reactjs.org/blog/2018/03/27/update-on-async-rendering.html#gradual-migration-path

  #### Returns void

### Optional componentWillReceiveProps

- componentWillReceiveProps(nextProps: Readonly<SystemAppProps>, nextContext: any): void

- Inherited from DeprecatedLifecycle.componentWillReceiveProps

  - Defined in /Users/artalat/Coding/bluebase/core/node_modules/@types/react/index.d.ts:620

  Called when the component may be receiving new props. React may call this even if props have not changed, so be sure to compare new and existing props if you only want to handle changes.

  Calling `Component#setState` generally does not trigger this method.

  Note: the presence of getSnapshotBeforeUpdate or getDerivedStateFromProps prevents this from being invoked.

  deprecated

    16.3, use static getDerivedStateFromProps instead; will stop working in React 17

  see

    https://reactjs.org/blog/2018/03/27/update-on-async-rendering.html#updating-state-based-on-props

  see

    https://reactjs.org/blog/2018/03/27/update-on-async-rendering.html#gradual-migration-path

  #### Parameters

  - ##### nextProps: Readonly<SystemAppProps>

  - ##### nextContext: any

  #### Returns void

### Optional componentWillUnmount

- componentWillUnmount(): void

- Inherited from ComponentLifecycle.componentWillUnmount

  - Defined in /Users/artalat/Coding/bluebase/core/node_modules/@types/react/index.d.ts:529

  Called immediately before a component is destroyed. Perform any necessary cleanup in this method, such as cancelled network requests, or cleaning up any DOM elements created in `componentDidMount`.

  #### Returns void

### Optional componentWillUpdate

- componentWillUpdate(nextProps: Readonly<SystemAppProps>, nextState: Readonly<S>, nextContext: any): void

- Inherited from DeprecatedLifecycle.componentWillUpdate

  - Defined in /Users/artalat/Coding/bluebase/core/node_modules/@types/react/index.d.ts:650

  Called immediately before rendering when new props or state is received. Not called for the initial render.

  Note: You cannot call `Component#setState` here.

  Note: the presence of getSnapshotBeforeUpdate or getDerivedStateFromProps prevents this from being invoked.

  deprecated

    16.3, use getSnapshotBeforeUpdate instead; will stop working in React 17

  see

    https://reactjs.org/blog/2018/03/27/update-on-async-rendering.html#reading-dom-properties-before-an-update

  see

    https://reactjs.org/blog/2018/03/27/update-on-async-rendering.html#gradual-migration-path

  #### Parameters

  - ##### nextProps: Readonly<SystemAppProps>

  - ##### nextState: Readonly<S>

  - ##### nextContext: any

  #### Returns void

### Optional getSnapshotBeforeUpdate

- getSnapshotBeforeUpdate(prevProps: Readonly<SystemAppProps>, prevState: Readonly<S>): SS | null

- Inherited from NewLifecycle.getSnapshotBeforeUpdate

  - Defined in /Users/artalat/Coding/bluebase/core/node_modules/@types/react/index.d.ts:570

  Runs before React applies the result of `render` to the document, and returns an object to be given to componentDidUpdate. Useful for saving things such as scroll position before `render` causes changes to it.

  Note: the presence of getSnapshotBeforeUpdate prevents any of the deprecated lifecycle events from running.

  #### Parameters

  - ##### prevProps: Readonly<SystemAppProps>

  - ##### prevState: Readonly<S>

  #### Returns SS | null

### render

- render(): any

- - Defined in components/SystemApp/SystemApp.tsx:14

  #### Returns any

### Optional shouldComponentUpdate

- shouldComponentUpdate(nextProps: Readonly<SystemAppProps>, nextState: Readonly<S>, nextContext: any): boolean

- Inherited from ComponentLifecycle.shouldComponentUpdate

  - Defined in /Users/artalat/Coding/bluebase/core/node_modules/@types/react/index.d.ts:524

  Called to determine whether the change in props and state should trigger a re-render.

  `Component` always returns true. `PureComponent` implements a shallow comparison on props and state and returns true if any props or states have changed.

  If false is returned, `Component#render`, `componentWillUpdate` and `componentDidUpdate` will not be called.

  #### Parameters

  - ##### nextProps: Readonly<SystemAppProps>

  - ##### nextState: Readonly<S>

  - ##### nextContext: any

  #### Returns boolean

Generated using TypeDoc